// 10MappingMode1View.h : CMy10MappingMode1View 類別的介面
//


#pragma once


class CMy10MappingMode1View : public CView
{
protected: // 僅從序列化建立
	CMy10MappingMode1View();
	DECLARE_DYNCREATE(CMy10MappingMode1View)

// 屬性
public:
	CMy10MappingMode1Doc* GetDocument() const;

// 作業
public:

// 覆寫
	public:
	virtual void OnDraw(CDC* pDC);  // 覆寫以描繪此檢視
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// 程式碼實作
public:
	virtual ~CMy10MappingMode1View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// 產生的訊息對應函式
protected:
	DECLARE_MESSAGE_MAP()
public:
    virtual void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo = NULL);
};

#ifndef _DEBUG  // 10MappingMode1View.cpp 中的偵錯版本
inline CMy10MappingMode1Doc* CMy10MappingMode1View::GetDocument() const
   { return reinterpret_cast<CMy10MappingMode1Doc*>(m_pDocument); }
#endif

